Infra APIDatabases
Enable client-access on a database
Activates JWT + anon auth on db-proxy for an existing DB.
POST
/api/v1/databases/{db_id}/client-access/enableActivates JWT + anon auth on db-proxy for an existing DB.
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
db_id*string
Database ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/databases/string/client-access/enable"{ "client_mode_enabled": true, "created_at": "string", "function_id": "string", "host": "string", "id": "string", "name": "string", "pg_database": "string", "pg_user": "string", "status": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}